Package de.willuhn.jameica.hbci.server

# Class DBPropertyImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.DBPropertyImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `DBProperty`, `Serializable`, `Remote`

public class DBPropertyImpl extends de.willuhn.datasource.db.AbstractDBObject implements DBProperty
Speichert ein einzelnes Property in der Datenbank.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`DBPropertyImpl()`
ct

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen des Parameters.
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`String`
`getValue()`
Liefert den Wert des Parameters.
`void`
`setName(String name)`
Speichert den Namen des Parameters.
`void`
`setValue(String value)`
Speichert den Wert des Parameters.

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, delete, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, insertCheck, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, store, transactionBegin, transactionCommit, transactionRollback, updateCheck`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### DBPropertyImpl

public DBPropertyImpl() throws RemoteException
ct

Throws:
  `RemoteException`

## Method Details

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getName

public String getName() throws RemoteException
Description copied from interface: `DBProperty`
Liefert den Namen des Parameters.

Specified by:
  `getName` in interface `DBProperty`
Returns:
  Name des Parameters.
Throws:
  `RemoteException`
See Also:
  - `DBProperty.getName()`

### getValue

public String getValue() throws RemoteException
Description copied from interface: `DBProperty`
Liefert den Wert des Parameters.

Specified by:
  `getValue` in interface `DBProperty`
Returns:
  Wert des Parameters.
Throws:
  `RemoteException`
See Also:
  - `DBProperty.getValue()`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `DBProperty`
Speichert den Namen des Parameters.

Specified by:
  `setName` in interface `DBProperty`
Parameters:
  `name` - Name des Parameters.
Throws:
  `RemoteException`
See Also:
  - `DBProperty.setName(java.lang.String)`

### setValue

public void setValue(String value) throws RemoteException
Description copied from interface: `DBProperty`
Speichert den Wert des Parameters.

Specified by:
  `setValue` in interface `DBProperty`
Parameters:
  `value` - Wert des Parameters.
Throws:
  `RemoteException`
See Also:
  - `DBProperty.setValue(java.lang.String)`